import scala.collection.mutable

object ScalaDemo3 {
  def main(args: Array[String]): Unit = {
    val q1 = mutable.Queue(1,2,3,4,5);
    //往队列中添加元素6
    q1.enqueue(6)
    println(q1)
    //往队列中添加元素7,8,9
    q1.enqueue(7,8,9)
    println(q1)
    println("-"*20)
    //移除队列中第一个元素
    println(q1.dequeue())
    println("-"*20)
    //移除满足条件的奇数的元素
    println(q1.dequeueFirst(_%2!=0))
    //移除队列中所有的偶数
    println(q1.dequeueAll(_%2==0))
    println(q1)
  }
}
